<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:f="http://xmlns.jcp.org/jsf/core">

<ui:composition template="template.xhtml">
	<ui:define name="content">
	    
		<h2>Zákazníci</h2>
		
		<h:form>
			<!-- funguje to iterativne, var rika, jak oznacime jednu aktualni polozku v ramci cyklu -->
			<!-- foreach person in personBean.people -->
			<h:dataTable value="#{zakaznikBean.zakaznici}" var="zakaznik" styleClass="table" columnClasses="text-center,text-left,text-left,text-left,text-center">
				<h:column>
					<f:facet name="header">
						ID
					</f:facet>
					<h:outputText value="#{zakaznik.idZakaznika}"></h:outputText>
				</h:column>
				<h:column>	
					<f:facet name="header">
						Jméno
					</f:facet>
					<h:outputText value="#{zakaznik.jmeno}"></h:outputText>
				</h:column>
				<h:column>	
					<f:facet name="header">
						Příjmení
					</f:facet>
					<h:outputText value="#{zakaznik.prijmeni}"></h:outputText>
				</h:column>
				
				<h:column>
					<f:facet name="header">
						Firma
					</f:facet>
					<h:outputText value="#{zakaznik.jmenoFirmy}"></h:outputText>
				</h:column>
				<h:column>
					<h:commandLink action="#{zakaznikBean.actionEdit(zakaznik)}">
						<i class="fa fa-pencil fa-15x" aria-hidden="true" title="Upravit zákazníka"></i>
					</h:commandLink>
					&nbsp;
					<h:commandLink action="#{zakaznikBean.actionShowObj(zakaznik)}">
						<i class="fa fa-eye fa-15x" aria-hidden="true" title="Zobrazit objednávky"></i>
					</h:commandLink>
					&nbsp;
					<h:commandLink action="#{objednavkaBean.actionNew(zakaznik)}">
						<i class="fa fa-certificate fa-15x" aria-hidden="true" title="Vytvořit objednávku"></i>
					</h:commandLink>
				</h:column>
			</h:dataTable>
			<h:commandLink action="#{zakaznikBean.actionNew}" styleClass="button">
				<h:outputText value="Nový zákazník"></h:outputText>
			</h:commandLink>
		</h:form>
	</ui:define>
</ui:composition>
</html>
